skip to navigation
skip to content

openfst 1.6.1

Python wrapper for OpenFst

This package provides a Python extension module pywrapfst which exposes the OpenFst scripting API. Like the scripting API, it supports arbitrary arcs and weights.

For more information, see the extension’s tutorial.

Troubleshooting

This module requires that you have installed OpenFst 1.6.1, which can be obtained from the official download page.

OpenFst must be built with the FAR extension (./configure --enable-far).

This module is not compatible with the unaffiliated extension pyfst.

The source for this extension was generated offline using Cython. However, Cython is not used during compilation; the extension is compiled directly from the generated C++.

License

This extension is part of OpenFst, which is made available under the Apache License.

 
File Type Py Version Uploaded on Size
openfst-1.6.1.tar.gz (md5) Source 2017-02-09 218KB